Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit uim for openSUSE:Factory
Hello community,

here is the log from the commit of package uim for openSUSE:Factory checked in
at 2019-04-30 13:05:32
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/uim (Old)
and /work/SRC/openSUSE:Factory/.uim.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "uim"

Tue Apr 30 13:05:32 2019 rev:48 rq:699083 version:1.8.8

Changes:
--------
--- /work/SRC/openSUSE:Factory/uim/uim.changes 2018-05-29 16:51:11.714201817
+0200
+++ /work/SRC/openSUSE:Factory/.uim.new.5536/uim.changes 2019-04-30
13:05:34.581925035 +0200
@@ -1,0 +2,6 @@
+Sat Apr 13 13:31:32 UTC 2019 - Christophe Giboudeaux <christophe@xxxxxxx>
+
+- Stop packaging the Qt4 frontend for openSUSE Factory.
+ Qt4 is EOL and will be removed from future openSUSE releases.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ uim.spec ++++++
--- /var/tmp/diff_new_pack.bidPW7/_old 2019-04-30 13:05:35.317924369 +0200
+++ /var/tmp/diff_new_pack.bidPW7/_new 2019-04-30 13:05:35.325924362 +0200
@@ -1,7 +1,7 @@
#
# spec file for package uim
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


@@ -34,7 +34,6 @@
BuildRequires: fdupes
BuildRequires: gcc-c++
BuildRequires: intltool
-BuildRequires: libqt4-devel
BuildRequires: libqt5-qtbase-devel
BuildRequires: libqt5-qtbase-private-headers-devel
BuildRequires: m17n-lib-devel
@@ -43,6 +42,9 @@
BuildRequires: pkgconfig
BuildRequires: update-desktop-files
BuildRequires: xemacs
+%if 0%{?suse_version} <= 1500
+BuildRequires: libqt4-devel
+%endif
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(anthy)
BuildRequires: pkgconfig(expat)
@@ -82,6 +84,7 @@
%description gtk3
Contains GTK+3.0 IM module for uim

+%if 0%{?suse_version} <= 1500
%package qt4
Summary: Qt4 input module plugin for uim
Group: System/I18n/Japanese
@@ -89,6 +92,7 @@

%description qt4
Contains Qt4 input module plugin for uim
+%endif

%package qt5
Summary: Qt5 input module plugin for uim
@@ -109,8 +113,10 @@
--libexecdir=%{_prefix}/lib/uim \
--with-canna\
--with-anthy-utf8 \
+%if 0%{?suse_version} <= 1500
--with-qt4 \
--with-qt4-immodule \
+%endif
--with-qt5 \
--with-qt5-immodule \
--enable-kde-applet
@@ -191,7 +197,8 @@
%gtk3_immodule_postun

%files -f uim.lang
-%doc AUTHORS COPYING NEWS* README*
+%license COPYING
+%doc AUTHORS NEWS* README*
%doc doc
%dir %{_sysconfdir}/X11/xim.d/
%{_sysconfdir}/X11/xim.d/*
@@ -240,10 +247,12 @@
%{_prefix}/lib/uim/uim-*-gtk3
%{_libdir}/gtk-3*/*/immodules/*.so

+%if 0%{?suse_version} <= 1500
%files qt4 -f uim-chardict-qt.lang
%{_bindir}/uim-*-qt4
%{_prefix}/lib/uim/uim-*-qt4
%{_libdir}/qt4/plugins/inputmethods/*.so
+%endif

%files qt5 -f uim-chardict-qt.lang
%{_bindir}/uim-*-qt5

++++++ baselibs.conf ++++++
--- /var/tmp/diff_new_pack.bidPW7/_old 2019-04-30 13:05:35.353924337 +0200
+++ /var/tmp/diff_new_pack.bidPW7/_new 2019-04-30 13:05:35.353924337 +0200
@@ -2,6 +2,8 @@
recommends "uim-gtk2-<targettype> = <version>"
recommends "uim-gtk3-<targettype> = <version>"
recommends "uim-qt4-<targettype> = <version>"
+ recommends "uim-qt5-<targettype> = <version>"
+
uim-gtk2
post "%if "%_lib" == "lib64""
post "<prefix>%{_bindir}/gtk-query-immodules-2.0-64 --update-cache"
@@ -31,3 +33,6 @@
uim-qt4
requires "uim-<targettype> = <version>"
supplements "packageand(uim:libqt4-<targettype>)"
+uim-qt5
+ requires "uim-<targettype> = <version>"
+ supplements "packageand(uim:libqt5-<targettype>)"


< Previous Next >
This Thread
  • No further messages